WordPress.org

Making WordPress.org

Opened 9 months ago

Closed 9 months ago

#48 closed defect (fixed)

Last Modified header issue in support RSS feed

Reported by: Rarst Owned by:
Priority: low Component: Support Forums
Keywords: Cc: cais

Description

From personal experience support feeds work horribly in feed reader services. I discovered the reply from week (!) ago still hadn't appeared in feedly for me (just as it was often stuck for days in google reader in the past) and looked at feed more closely.

As of now my feed http://wordpress.org/support/rss/view/plugin-contributor/Rarst

Has header Last-Modified: Wed, 17 Jul 2013 16:41:02 GMT

While actual last message in it was at Mon, 29 Jul 2013 14:20:26 +0000 and the date from header corresponds to four messages earlier.

This is very likely to cause incorrect 304 Not Modified responses to feed readers and have them stuck if they are not refreshing aggressively.

Change History (7)

comment:1 cais9 months ago

  • Cc cais added

comment:2 daveshine9 months ago

+1
What @Rarst said!
I had this very often already, with old Google Reader it was a desaster, "feedly" now is a bit better but it depends, sometimes a few hours sometimes a few days (about a week).
Any fix or help would be highly appreciated.

comment:3 Otto429 months ago

  • Resolution set to fixed
  • Status changed from new to closed

This appears to only be the case on the plugin-contributor and plugin-committer views. It was due to the way those views were overridden to show all posts instead of just the first posts in the topic (like a normal view would). I've added code to override the headers and send the same date as the most recent post for those two views.

comment:4 helen9 months ago

Guess that also fixes #WP22506.

comment:5 nacin9 months ago

  • Resolution fixed deleted
  • Status changed from closed to reopened

Reopening to point miqrogroove over here from #WP22506.

comment:6 miqrogroove9 months ago

Repost:

The HTTP header is still wrong. (or the RSS header is) One of these servers is living 5 minutes in the future perhaps?

http://wordpress.org/support/rss/view/plugin-contributor/TigrouMeow

Last-Modified: Wed, 31 Jul 2013 18:51:33 GMT

<pubDate>Wed, 31 Jul 2013 18:57:04 +0000</pubDate>

comment:7 Otto429 months ago

  • Resolution set to fixed
  • Status changed from reopened to closed

No, the header is correct. Last-Modified date is set to the time of the most recent post. Look lower in the feed at the actual post and it shows that the post "skonsult on [Plugin: WP Retina 2x].." made that post at the time being used for the last modified header.

The pubDate of the feed as-a-whole is always "now" because that's how bbPress generates feeds. Setting the last-modified header to "now" makes no sense if the content has not been actually modified in a significant way.

Note: See TracTickets for help on using tickets.